Plans

Update a Spec

PATCH
/v1/projects/{projectSlug}/plans/{planShortId}/specs/{specShortId}

Authorization

bearerAuth
AuthorizationBearer <token>

A personal API key (psk_…) or an OAuth access token (plan_at_…). Scopes: read, write.

In: header

Path Parameters

projectSlug*string

Project slug, e.g. recipe-box.

planShortId*string

Plan handle within the project, e.g. PLAN-12.

specShortId*string

Spec handle within the plan, e.g. SPEC-3.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/projects/string/plans/string/specs/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "spec": {    "id": "string",    "shortId": "string",    "title": "string",    "content": "string",    "status": "string",    "parentSpecId": "string",    "parentShortId": "string",    "needsFirst": [      "string"    ],    "effort": 1,    "effortLabel": "string",    "readiness": 1,    "readinessLabel": "string",    "acceptanceCriteria": [      {        "id": "string",        "text": "string"      }    ],    "doneWhen": [      "string"    ]  }}